body {
    width: 100%;
    /*Poner la primera letra de cada palabra en mayúscula*/
    text-transform: capitalize;

}

/* Contendedor principal*/
.principal {
    width: 70%;
    margin: 20px auto;
    background-color: slategray;
    padding: 5%;
}

/* Contenedor de la tabla*/
.contenedor {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 2fr;
    grid-template-areas:
        "foto1 foto2 foto3 fotogrande"
        "foto4 foto5 foto6 fotogrande";
}

/* Cambiamos el color y tamaño de la letra de los parrafos que estan dentro de las fotos*/
.foto p {
    color: white;
    font-size: x-large;
}

/* 
Le ponemos un background a cada dic con su foto correspondiente
Le asignamos su grid area
*/

.foto1 {
    background: url(img/1.jpg) no-repeat;
    grid-area: foto1;
}

.foto2 {
    background: url(img/2.jpg);
    grid-area: foto2;
}

.foto3 {
    background: url(img/3.jpg);
    grid-area: foto3;
}

.foto4 {
    background: url(img/4.jpg);
    grid-area: foto4;
}

.foto5 {
    background: url(img/5.jpg);
    grid-area: foto5;
}

.foto6 {
    background: url(img/6.jpg);
    grid-area: foto6;
}

/*
Hacemos que el div fotogrande sea flex para situar el contenido que contiene
*/

.fotogrande {
    background: url(img/banner.jpg);
    grid-area: fotogrande;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

/* 
A las fotos le ponemos un borde circular
Y hacemos que las fotos se adapten al tamaño de la caja
*/
.foto {
    border-radius: 15px;
    background-size: cover;
}

/*
Quitamos los puntos a la lista
Cambiamos el color y el tamaño de la letra
Separamos cada item con un padding
*/

.fotogrande li {
    list-style: none;
    color: white;
    font-size: larger;
    padding: 10px;
}

/*
Cambiamos el parrafo de comprar entradas
fondo
borde
fuente
*/

.foto .entradas {
    width: 90%;
    background-color: gold;
    border-radius: 10px;
    font-size: medium;
    text-align: center;
    color: black;
    padding: 10px 0;
    font-weight: bold;
}

/*
Margenes a los textos de las fotos
*/
.foto>* {
    margin-left: 15px;
    margin-top: 20px;
}

/*Cambiamos el margen del segundo parrafo de cada foto para que no haya tanto interlineado*/
.foto p:last-child {
    margin-top: -20px;
}

/*
Tabla de 3x3 para resulaciones de menos de 900 px
*/
@media all and (max-width:900px) {
    .contenedor {
        grid-template-columns: 1fr 1fr 2fr;
        grid-template-rows: repeat (3, 1fr);
        grid-template-areas:
            "foto1 foto2 fotogrande"
            "foto3 foto4 fotogrande"
            "foto5 foto6 fotogrande";
    }
}

/*
Tabla de 4x2 para resulaciones de menos de 900 px
*/

@media all and (max-width:600px) {
    .contenedor {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr 2fr;
        grid-template-areas:
            "foto1 foto2 "
            "foto3 foto4 "
            "foto5 foto6 "
            "fotogrande fotogrande";
    }
}